Capacities
Occupancy limits per unit per capacity group
The capacity object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
maxintegerMaximum allowed occupancy
minintegerMinimum allowed occupancy
Related resources
Embed related resources in the response with the select parameter, for example select=*,capacity_groups(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"capacity_group_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"max": 1,
"min": 0
}curl -X GET "https://api.bookingmood.com/v1/capacities?limit=10&select=*,capacity_groups(*),products(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List capacities
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
maxFilter<integer>Maximum allowed occupancy
minFilter<integer>Minimum allowed occupancy
Responses
200A list of capacities with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /capacitiescurl -X GET "https://api.bookingmood.com/v1/capacities?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"capacity_group_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"max": 1,
"min": 0
}
]Create capacities
Body
Partial<Capacity> | Array<Partial<Capacity>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created capacities with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /capacitiescurl -X POST "https://api.bookingmood.com/v1/capacities" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"capacity_group_id": "00000000-0000-0000-0000-000000000000",
"max": 1,
"min": 0,
"product_id": "00000000-0000-0000-0000-000000000000"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"capacity_group_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"max": 1,
"min": 0
}
]Delete capacities
Filters
Without filters, this request deletes all capacities you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
maxFilter<integer>Maximum allowed occupancy
minFilter<integer>Minimum allowed occupancy
Responses
200The deleted capacities with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /capacitiescurl -X DELETE "https://api.bookingmood.com/v1/capacities?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"capacity_group_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"max": 1,
"min": 0
}
]Update capacities
Filters
Without filters, this request updates all capacities you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
maxFilter<integer>Maximum allowed occupancy
minFilter<integer>Minimum allowed occupancy
Body
Partial<Capacity>Read-only attributes are set by the database and can't be written.
Responses
200The updated capacities with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /capacitiescurl -X PATCH "https://api.bookingmood.com/v1/capacities?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"max": 1
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"capacity_group_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"max": 1,
"min": 0
}
]